# PetscMemcpy

Copies n bytes, beginning at location b, to the space beginning at location a. The two memory regions CANNOT overlap, use PetscMemmove() in that case.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscMemcpy(void *a,const void *b,size_t n)

Not Collective

### Input Parameters

| b | - pointer to initial memory space
| n | - length (in bytes) of space to copy

### Output Parameter

a -pointer to copy space

### Compile Option

PETSC_PREFER_DCOPY_FOR_MEMCPY will cause the BLAS dcopy() routine to be used for memory copies on double precision values. PETSC_PREFER_COPY_FOR_MEMCPY will cause C code to be used for memory copies on double precision values. PETSC_PREFER_FORTRAN_FORMEMCPY will cause Fortran code to be used for memory copies on double precision values.

### Note

This routine is analogous to memcpy().

### See Also

PetscMemmove()

Level:intermediate
Location: src/sys/utils/memc.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/ao/examples/tutorials/ex2.c.html